.gradient-morph-large {
    background: linear-gradient(135deg, #CE1126, #0057a3, #fbbf24);
    border-radius: 40% 60% 70% 30% / 40% 50% 50% 60%;
    background-size: 200% 200%;
}

.tab-content {
    display: none;
}

.tab-content.active-tab-content {
    display: block;
}

.tab-content.hidden {
    display: none;
}

/* Modal Scroll Lock */
body.modal-open {
    overflow: hidden;
}

/* Line Clamp for note content */
.line-clamp-3 {
    display: -webkit-box;
    -webkit-line-clamp: 3;
    -webkit-box-orient: vertical;  
    overflow: hidden;
}
